<?php
// Создаём таблицу со списком чатов, добавляем туда один чат по умолчанию
run_query("CREATE TABLE IF NOT EXISTS `" . $config['table_prefix'] . "messages_chat`
             (`id` int(11) NOT NULL AUTO_INCREMENT,
              `name` varchar(255) NOT NULL,
              PRIMARY KEY (`id`)) ENGINE=" . $config['db_engine'] . " DEFAULT CHARSET=utf8");
run_query("INSERT INTO `" . $config['table_prefix'] . "messages_chat` (`name`) VALUES ('" . form_sql($lang['General_chat']) . "')");
// Добавляем поле chat_id в таблицу сообщений
$result = run_query("SHOW COLUMNS FROM `" . $config['table_prefix'] . "messages` LIKE 'chat_id'");
if (!mysqli_fetch_assoc($result)) {
    run_query("ALTER TABLE `" . $config['table_prefix'] . "messages` ADD `chat_id` INT(11) NOT NULL");
}
// Добавляем поле f в таблицу сообщений
$result = run_query("SHOW COLUMNS FROM `" . $config['table_prefix'] . "messages` LIKE 'f'");
if (!mysqli_fetch_assoc($result)) {
    run_query("ALTER TABLE `" . $config['table_prefix'] . "messages` ADD `f` TINYINT(1) NOT NULL");
}
?>